summaryrefslogtreecommitdiffstats
path: root/make.sh
diff options
context:
space:
mode:
Diffstat (limited to 'make.sh')
-rwxr-xr-xmake.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/make.sh b/make.sh
new file mode 100755
index 0000000..496e35d
--- /dev/null
+++ b/make.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+if [ $# -ne 1 ]
+then
+ echo "usage: version" 1>&2
+ exit 1
+fi
+
+VERSION="$1"
+shift
+
+INPUT="input/jogamp-all-platforms"
+if [ ! -d "${INPUT}" ]
+then
+ echo "make: error: ${INPUT} is not an existing directory" 1>&2
+ echo "make: error: unpack jogamp-all-platforms.7z into 'input'" 1>&2
+ exit 1
+fi
+
+./make-directories.sh "${VERSION}" || exit 1
+./make-copy-jars.sh "${VERSION}" || exit 1
+./make-poms.sh "${VERSION}" || exit 1
+./make-copy-poms.sh "${VERSION}" || exit 1
+